@import url("reset.css");

:root {
    --background: #313338;
    --blurple: #5865f2;
    --darkgrey: #24272e;
    --linkblue: rgb(73, 201, 252);
    --tocgrey: #1e1f22;
}

body {
    background-color: var(--background);
}

main {
    display: flex;
}

hero {
    width: 40%;
    margin-inline: auto;
    display: flex;
    margin-top: 10%;
    justify-content: space-between;
    gap: 4rem;

    img {
        width: 50%;
    }

    h1 {
        font-size: 3rem;
        line-height: 3rem;
    }

    a {
        color: white;
        text-decoration: none;
        padding: 10px;
        border-radius: 20px;
    }
}

a {
    color: var(--linkblue);
}

aside {
    background-color: var(--tocgrey);
    padding-right: 3rem;
    padding-top: 2rem;
    width: 10%;

    a {
        text-decoration: none;
    }

    ol {
        list-style-type: none;
    }
}

.startHereBtn {
    background-color: var(--blurple);
}

.sidebar {
    font-size: 1rem;
    padding: 1.3rem;
    background-color: var(--darkgrey);
    width: 10%;

    a {
        color: white;
        text-decoration: none;
    }

    ul {
        list-style-type: none;
    }
}

.container {
    margin-inline: auto;
    width: 35%;
    text-wrap: pretty;
    margin-top: 2rem;
}

.linkCard {
    background-color: #2b2d31;
    width: 100%;
    padding-inline: 1rem;
    font-size: 1rem;
    border-left: 10px solid var(--blurple);
    border-radius: 10px;
    padding-bottom: 0.5rem;
    display: block;

    a {
        color: white;
        text-decoration: none;
    }

    span {
        color: #888b95;
    }
}

.linkCardHeading {
    display: flex;
    align-items: center;
    justify-content: space-between;
}

.tab {
    overflow: hidden;

    button {
        float: left;
        border: none;
        outline: none;
        cursor: pointer;
        padding: 2px 16px;
        transition: 0.3s;
        color: inherit;
        font-size: inherit;
        background-color: #1e1f22;
    }

    button.active {
        border-bottom: 3px solid var(--blurple)
    }
}

.tabcontent {
    display: none;
    padding: 6px 12px;
}

.topnav {
    display: flex;
    background-color: var(--darkgrey);
    padding-left: 1rem;
    gap: 1rem;

    img {
        width: 2%;
    }
}